# Class WbDependentModule

java.lang.Object
org.gradle.plugins.ide.eclipse.model.WbDependentModule

All Implemented Interfaces:
  `WbModuleEntry`

@Deprecated public class WbDependentModule extends Object implements WbModuleEntry
Deprecated.
Will be removed in Gradle 10.
A wtp descriptor dependent module entry.

Since:
  1.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WbDependentModule(Node node)`
  Deprecated.
  Creates a new `WbDependentModule`.
  `WbDependentModule(String deployPath, String handle)`
  Deprecated.
  Creates a new `WbDependentModule`.
  `WbDependentModule(String archiveName, String deployPath, String handle)`
  Deprecated.
  Constructor for WbDependentModule

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `appendNode(Node parentNode)`
  Deprecated.
  Append node.
  `boolean`
  `equals(Object o)`
  Deprecated.
  `String`
  `getArchiveName()`
  Deprecated.
  Get the archiveName property.
  `String`
  `getDeployPath()`
  Deprecated.
  Returns the deploy path.
  `String`
  `getHandle()`
  Deprecated.
  Returns the handle.
  `int`
  `hashCode()`
  Deprecated.
  `void`
  `setArchiveName(String archiveName)`
  Deprecated.
  Set the archiveName for this module.
  `void`
  `setDeployPath(String deployPath)`
  Deprecated.
  Sets the deploy path.
  `void`
  `setHandle(String handle)`
  Deprecated.
  Sets the handle.
  `String`
  `toString()`
  Deprecated.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### WbDependentModule

    public WbDependentModule(Node node)
    Deprecated.
    Creates a new `WbDependentModule`.
    Since:
      2.14

  - ### WbDependentModule

    public WbDependentModule(String deployPath, String handle)
    Deprecated.
    Creates a new `WbDependentModule`.
    Since:
      1.0

  - ### WbDependentModule

    @Incubating public WbDependentModule(String archiveName, String deployPath, String handle)
    Deprecated.
    Constructor for WbDependentModule
    Since:
      8.1

- ## Method Details

  - ### getArchiveName

    @Incubating public String getArchiveName()
    Deprecated.
    Get the archiveName property.
    Returns:
      the archiveName for this module.
    Since:
      8.1

  - ### setArchiveName

    @Incubating public void setArchiveName(String archiveName)
    Deprecated.
    Set the archiveName for this module.
    Parameters:
      `archiveName` - the archiveName value to set.
    Since:
      8.1

  - ### getDeployPath

    public String getDeployPath()
    Deprecated.
    Returns the deploy path.
    Since:
      1.0

  - ### setDeployPath

    public void setDeployPath(String deployPath)
    Deprecated.
    Sets the deploy path.
    Since:
      1.0

  - ### getHandle

    public String getHandle()
    Deprecated.
    Returns the handle.
    Since:
      1.0

  - ### setHandle

    public void setHandle(String handle)
    Deprecated.
    Sets the handle.
    Since:
      1.0

  - ### appendNode

    public void appendNode(Node parentNode)
    Deprecated.
    Description copied from interface: `WbModuleEntry`
    Append node.
    Specified by:
      `appendNode` in interface `WbModuleEntry`

  - ### equals

    public boolean equals(Object o)
    Deprecated.
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Deprecated.
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Deprecated.
    Overrides:
      `toString` in class `Object`